Bug 55434 - [Chromium][DRT] WebTask should use webkit_support::TaskAdaptor
Summary: [Chromium][DRT] WebTask should use webkit_support::TaskAdaptor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Hajime Morrita
URL:
Keywords:
Depends on: 55564
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 18:19 PST by Hajime Morrita
Modified: 2011-03-04 02:07 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.88 KB, patch)
2011-02-28 22:32 PST, Hajime Morrita
no flags Details | Formatted Diff | Diff
Patch (3.58 KB, patch)
2011-03-01 00:20 PST, Hajime Morrita
no flags Details | Formatted Diff | Diff
Patch (4.03 KB, patch)
2011-03-01 02:46 PST, Hajime Morrita
no flags Details | Formatted Diff | Diff
Patch (2.61 KB, patch)
2011-03-02 23:06 PST, Hajime Morrita
tkent: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2011-02-28 18:19:56 PST
From http://code.google.com/p/chromium/issues/detail?id=73675
This will fix memory leak.
Comment 1 Hajime Morrita 2011-02-28 22:32:37 PST
Created attachment 84190 [details]
Patch
Comment 2 WebKit Review Bot 2011-02-28 22:36:12 PST
Attachment 84190 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8075502
Comment 3 Hajime Morrita 2011-03-01 00:20:24 PST
Created attachment 84195 [details]
Patch
Comment 4 Hajime Morrita 2011-03-01 00:30:54 PST
> Patch
Kent-san, could you take a look? 
I updated the patch to
- inherit TaskAdaptor directly
- roll DEPS
Comment 5 WebKit Review Bot 2011-03-01 00:35:40 PST
Attachment 84195 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8076513
Comment 6 Kent Tamura 2011-03-01 00:42:08 PST
Comment on attachment 84195 [details]
Patch

r- because of a build failure.
Otherwise, it looks ok.
Comment 7 Hajime Morrita 2011-03-01 02:46:35 PST
Created attachment 84204 [details]
Patch
Comment 8 Hajime Morrita 2011-03-01 02:47:24 PST
Kent-san, thank you for your quick review! I updated DEPS and am watching the bot...
Comment 9 WebKit Review Bot 2011-03-01 07:26:07 PST
Attachment 84204 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8077407
Comment 10 Kent Tamura 2011-03-01 18:20:43 PST
(In reply to comment #9)
> Attachment 84204 [details] did not build on chromium:
> Build output: http://queues.webkit.org/results/8077407

> KeyError: 'Duplicate ID 70665AB9CDC334269329179C, objects "{\'children\': [<PBXReferenceProxy \'libjpeg.a\' at 0x102e24950>], \'name\': \'Products\', \'sourceTree\': \'<group>\'}" and "{\'children\': [<PBXReferenceProxy \'libjpeg_turbo.a\' at 0x102e21d90>], \'name\': \'Products\', \'sourceTree\': \'<group>\'}" in "WebKit"'

We had better remove libjpeg_gyp_path definition from WebCore.gyp if libjpeg-turbo doesn't change layout test results, or set use_libjpeg_turbo=0.
Comment 11 Hajime Morrita 2011-03-02 23:06:37 PST
Created attachment 84523 [details]
Patch
Comment 12 Hajime Morrita 2011-03-02 23:07:54 PST
Chromium roll is done at http://trac.webkit.org/changeset/80174, 
thus I removed that part from the patch.
Comment 13 Kent Tamura 2011-03-02 23:24:18 PST
Comment on attachment 84523 [details]
Patch

ok
Comment 14 Hajime Morrita 2011-03-04 02:07:55 PST
Committed r80340: <http://trac.webkit.org/changeset/80340>